<template>
  <div class="flex flex-col w-full h-full lg:flex-row overflow-y-auto">
    <div class="my-4 lg:my-auto mx-auto flex flex-col w-full lg:w-2/5 p-2 lg:p-4 items-center justify-between">
      <div class="my-2 lg:my-4 flex flex-row items-center justify-between w-full">
        <gc-icon name="gc-logo" class="ml-auto w-1/3 h-5/6 md:h-4/5 lg:h-3/4 animate-bounce"/>
        <div class="mr-auto flex flex-col">
          <span class="font-sans text-blue-500 text-3xl sm:text-4xl md:text-5xl lg:text-6xl animate-bounce">Gaussian</span>
          <span class="font-sans text-green-300 text-3xl sm:text-4xl md:text-5xl lg:text-6xl animate-bounce">Curvature</span>
        </div>
      </div>
      <span class="animate-bounce my-2 lg:my-4 p-2 sm:p-4 font-sans text-white text-2xl sm:text-3xl md:text-4xl lg:text-5xl border-4 border-yellow-500 rounded-xl">{{ timeLeft }}</span>
    </div>
    <div class="my-4 lg:my-auto mx-auto flex-col w-full lg:w-3/5 p-6 sm:p-10 items-center justify-between">
      <div class="m-auto p-4 sm:p-8 flex flex-col justify-between w-full bg-darker border-2 border-green-300 shadow-2xl rounded-3xl">
        <div class="p-2 sm:p-4 my-2 font-sans text-lg sm:text-xl md:text-2xl flex flex-col md:flex-row border-blue-500 rounded-xl shadow-inner bg-dark border-2">
          <span class="px-2 text-green-300">Invitational Mathematics Examination</span>
          <span class="px-2 text-white">(GCIME)</span>
        </div>
        <div class="p-2 sm:p-4 my-2 font-sans text-lg sm:text-xl md:text-2xl flex flex-col border-blue-500 rounded-xl shadow-inner bg-dark border-2">
          <div class="p-2 sm:p-4 flex flex-col sm:flex-row justify-between">
            <div class="p-1 sm:p-2 flex flex-col sm:flex-row">
              <span class="px-1 sm:px-2 text-green-300">Date:</span>
              <span class="px-1 sm:px-2 text-white">24th Feb 2021</span>
            </div>
            <div class="p-1 sm:p-2 flex flex-col sm:flex-row">
              <span class="px-1 sm:px-2 text-green-300">Time:</span>
              <span class="px-1 sm:px-2 text-white">7days</span>
            </div>
          </div>
          <div class="p-2 sm:p-4 flex flex-col sm:flex-row justify-between">
            <div class="p-1 sm:p-2 flex flex-col sm:flex-row">
              <span class="px-1 sm:px-2 text-green-300">Code:</span>
              <span class="px-1 sm:px-2 text-white">GCIME2021-FEB-24</span>
            </div>
            <div class="p-1 sm:p-2 flex flex-col sm:flex-row">
              <span class="px-1 sm:px-2 text-green-300">Duration:</span>
              <span class="px-1 sm:px-2 text-white">7days</span>
            </div>
          </div>
          <div class="p-2 sm:p-4 flex flex-col sm:flex-row justify-between">
            <div class="p-1 sm:p-2 flex flex-col sm:flex-row justify-start">
              <span class="px-1 sm:px-2 text-green-300">Description:</span>
              <span class="px-1 sm:px-2 text-white">Mock Contest for AIME-I (2021)</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { computed, defineComponent } from "vue";
import GcIcon from "./GCIcon.vue";

export default defineComponent({
  components: { GcIcon },
  name: "GcHome",
  setup() {
    window.document.title = "GCurve - Home";

    return {
      timeLeft: computed(() => {
        const today = new Date();
        const date = new Date('02/24/2021');
        if (today.getMonth()==2 && today.getDate()>24) {
          return "In Progress"
        }
        return Math.ceil((date-today)/(1000*60*60*24))+
        " days left!";
      })
    }
  }
});
</script>
